summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorWorMzy Tykashi2016-10-14 17:35:40 +0100
committerWorMzy Tykashi2016-10-14 17:35:40 +0100
commit25f41d8187f10776afecdd7eba6b36a6b84caf57 (patch)
treea7c46acd19d6c6cb2b04769039c853f76a231a8d
parent8f644abe87b8bfea2810fa3db9b137a1b4d941fb (diff)
downloadaur-25f41d8187f10776afecdd7eba6b36a6b84caf57.tar.gz
remove optdeps and depend on pepper-flash directly. Kill tabs with fire
-rw-r--r--.SRCINFO9
-rw-r--r--PKGBUILD29
-rw-r--r--freshplayerplugin-git.install8
3 files changed, 12 insertions, 34 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 919fd2ff285..d74da69ceba 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,8 @@
pkgbase = freshplayerplugin-git
pkgdesc = PPAPI-host NPAPI-plugin adapter.
- pkgver = 0.3.5.r24.gc0510ba
+ pkgver = 0.3.6.r2.gf550545
pkgrel = 1
url = https://github.com/i-rinat/freshplayerplugin
- install = freshplayerplugin-git.install
arch = i686
arch = x86_64
license = MIT
@@ -20,11 +19,7 @@ pkgbase = freshplayerplugin-git
depends = icu
depends = libxrandr
depends = libxcursor
- optdepends = chromium-pepper-flash: for the necessary Pepper plugin
- optdepends = chromium-pepper-flash-standalone: for the necessary Pepper plugin
- optdepends = google-chrome: for the necessary Pepper plugin
- optdepends = google-chrome-beta: for the necessary Pepper plugin
- optdepends = google-chrome-dev: for the necessary Pepper plugin
+ depends = pepper-flash
conflicts = freshplayerplugin
source = freshplayerplugin-git::git+https://github.com/i-rinat/freshplayerplugin
sha1sums = SKIP
diff --git a/PKGBUILD b/PKGBUILD
index e60a97cd1e5..9d48c3a6b42 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,42 +7,33 @@
# Contributor: zman0900 <zman0900@gmail.com>
pkgname=freshplayerplugin-git
-pkgver=0.3.5.r24.gc0510ba
+pkgver=0.3.6.r2.gf550545
pkgrel=1
pkgdesc='PPAPI-host NPAPI-plugin adapter.'
arch=('i686' 'x86_64')
url='https://github.com/i-rinat/freshplayerplugin'
license=('MIT')
-depends=('pango' 'alsa-lib' 'freetype2' 'libevent' 'libgl' 'v4l-utils' 'ffmpeg' 'icu' 'libxrandr' 'libxcursor')
+depends=('pango' 'alsa-lib' 'freetype2' 'libevent' 'libgl' 'v4l-utils' 'ffmpeg' 'icu' 'libxrandr' 'libxcursor' 'pepper-flash')
makedepends=('cmake' 'ragel' 'git')
conflicts=('freshplayerplugin')
source=("${pkgname}::git+${url}")
-install="${pkgname}.install"
sha1sums=('SKIP')
-optdepends=(
- 'chromium-pepper-flash: for the necessary Pepper plugin'
- 'chromium-pepper-flash-standalone: for the necessary Pepper plugin'
- 'google-chrome: for the necessary Pepper plugin'
- 'google-chrome-beta: for the necessary Pepper plugin'
- 'google-chrome-dev: for the necessary Pepper plugin'
-)
-
pkgver() {
- cd "$pkgname"
+ cd "$pkgname"
git describe --tags | sed -e 's:v::' -e 's:-:.r:' -e 's:-:.:g'
}
build() {
- cd "$pkgname"
- cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr
- make
+ cd "$pkgname"
+ cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr
+ make
}
package() {
- cd "$pkgname"
- make DESTDIR="${pkgdir}" install
+ cd "$pkgname"
+ make DESTDIR="${pkgdir}" install
- install -Dm644 data/freshwrapper.conf.example "${pkgdir}/usr/share/${pkgname}/freshwrapper.conf.example"
- install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ install -Dm644 data/freshwrapper.conf.example "${pkgdir}/usr/share/${pkgname}/freshwrapper.conf.example"
+ install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
}
diff --git a/freshplayerplugin-git.install b/freshplayerplugin-git.install
deleted file mode 100644
index 7b9da821bda..00000000000
--- a/freshplayerplugin-git.install
+++ /dev/null
@@ -1,8 +0,0 @@
-post_install() {
- /usr/bin/printf -- \
-" ------------------------------------------------------------
- Warning! This package requires the pepper flash plugin
- that is available in one of the packages in the optdepends
- array! It will not work without one of those!
- ------------------------------------------------------------"
-}